require "investigator/version"
require "service"

module Investigator
  COOKIE_KEY = "investigator".freeze

  def self.track_activity(user, request)
    tracking_cookie = request.cookies[COOKIE_KEY]

    tracking_cookie = SecureRandom.hex unless tracking_cookie.present?

    user_id = user ? user.id : nil
    data = {
      cookie: tracking_cookie,
      user: user_id,
      path: request.fullpath,
      timestamp: Time.now.utc
    }

    InvestigatorService.instance.post(data)

    return tracking_cookie
  end
end
